﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

<div>
<table style="width:100%">
    <tr>
        <td>
            @Html.DevExpress().Button(
                button =>
                { 
                    button.Name = "btnSave";
                    button.Text = "Save";
                    button.Width = Unit.Pixel(80);
                    button.ClientEnabled = false;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnSave_click";
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnCancel";
                    button.Text = "Cancel";
                    button.Width = Unit.Pixel(80);
                    button.ClientEnabled = false;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnCancel_click";
                }
            ).GetHtml()
        </td>
        <td style="width:70%;">
        </td>
        <td>
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnAdd";
                    button.Text = "Add";
                    button.ClientEnabled = true;
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnAdd_click";
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnEdit";
                    button.Text = "Edit";
                    button.Width = Unit.Pixel(80);
                    button.ClientEnabled = true;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnEdit_click";
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnDelete";
                    button.Text = "Delete";
                    button.ClientEnabled = true;
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnDelete_click";
                }
            ).GetHtml()
        </td>
    </tr>
</table>
</div>
